petsc-3.4.2 2013-07-02

# VecLoadExodusVertexSet

Write a Vec representing nodal values of some field at a vertex set in an exodusII file.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode VecLoadExodusVertexSet(DM dm,Vec v,PetscInt vsID,MPI_Comm comm,PetscInt exoid,PetscInt step,PetscInt exofield)

Collective on comm

### The behavior differs depending on the size of comm

if size(comm) == 1 each processor writes its local vector into a separate file if size(comm) > 1, the values are sent to cpu0, and written in a single file

### Input Parameters

| dm | - the DMMesh representing the mesh
| v | - the LOCAL vector of values to be read (i.e. with ghost values) obtained with SectionRealCreateLocalVector. if v represents a field with several components, the block size must be set accordingly using VecSetBlockSize()
| vsID | - the vertex set ID
| exoid | - the id of the exodusII file (obtained with ex_open or ex_create)
| step | - the time step to write
| exofield | - the position in the exodus field of the first component

Interpolated meshes are not supported.

### Keywords

mesh,ExodusII

### See Also

MeshCreate() MeshCreateExodus() SectionRealCreateLocalVector() VecLoadExodusVertex()

Level:beginner
Location:src/dm/impls/mesh/meshexodus.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages